aboutsummaryrefslogtreecommitdiff
path: root/mixxx
diff options
context:
space:
mode:
authorrafael2k <rafael2k@370017ae-e619-0410-ac65-c121f96126d4>2006-11-08 19:38:10 +0000
committerrafael2k <rafael2k@370017ae-e619-0410-ac65-c121f96126d4>2006-11-08 19:38:10 +0000
commit0a6df822dd3dc2d4b529918a86824199431060c9 (patch)
treec348de8017398165b10ccca31c509ae225c59bb8 /mixxx
parent0a2a18f7363fb98d01bbca6ccbb4018109c69a2f (diff)
downloadslackbuilds-0a6df822dd3dc2d4b529918a86824199431060c9.tar.gz
slackbuilds-0a6df822dd3dc2d4b529918a86824199431060c9.tar.bz2
mixxx slackbuild fix
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@601 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'mixxx')
-rwxr-xr-xmixxx/mixxx.SlackBuild100
-rwxr-xr-xmixxx/mixxx.build119
2 files changed, 94 insertions, 125 deletions
diff --git a/mixxx/mixxx.SlackBuild b/mixxx/mixxx.SlackBuild
index f37c974b..17bbe815 100755
--- a/mixxx/mixxx.SlackBuild
+++ b/mixxx/mixxx.SlackBuild
@@ -1,6 +1,7 @@
#!/bin/bash
#
-# SlackBuild script to call mixxx.build with correct settings
+# slackbuild script for mixxx
+# by rhatto at riseup.net
#
if [ -s "slack-required" ]; then
@@ -34,12 +35,99 @@ SRC_DIR=${SRC:=$CWD}
TMP=${TMP:=/tmp}
REPOS=${REPOS:=$TMP}
-rm -rf $TMP/$PACKAGE
-mkdir -p $SRC_DIR/$PACKAGE $TMP/$PACKAGE
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38 ERROR_GPP=39
+ERROR_PATCH=40
-slacktrack -b $REPOS -x $TMP,$SRC_DIR,/dev -jefkzp "$PACKAGE-$VERSION-$ARCH-$BUILD.tgz" "./$PACKAGE.build"
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://easynews.dl.sourceforge.net/sourceforge/$PACKAGE/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff || exit $ERROR_PATCH
+fi
+
+cd src
+./configure --enable-jack --enable-alsa --prefix=/usr || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+
+make INSTALL_ROOT=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+cd ..
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+
+mkdir /install
+cat << EOF > /install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+mixxx: mixxx
+mixxx:
+mixxx: Mixxx is a digital DJ system, where wave, Ogg, and MP3 files can be
+mixxx: mixed on a computer for use in live performances. Filters, a
+mixxx: crossfader, and speed controls are provided. It is controlled by
+mixxx: mouse and/or MIDI events.
+mixxx:
+mixxx:
+mixxx:
+mixxx:
+mixxx:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="COPYING LICENSE Mixxx-Manual.pdf README README.ALSA"
+
+for file in $DOCS; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
-if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP/$PACKAGE
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
fi
diff --git a/mixxx/mixxx.build b/mixxx/mixxx.build
deleted file mode 100755
index 25c23322..00000000
--- a/mixxx/mixxx.build
+++ /dev/null
@@ -1,119 +0,0 @@
-#!/bin/bash
-#
-# build script for mixxx
-# by rhatto at riseup.net
-#
-
-CWD="`pwd`"
-
-if [ -f "/etc/slackbuildrc" ]; then
- source /etc/slackbuildrc
-fi
-
-if [ -f "~/.slackbuildrc" ]; then
- source ~/.slackbuildrc
-fi
-
-# default settings
-PACKAGE="mixxx"
-ARCH=${ARCH:=i486}
-VERSION=${VERSION:=1.4.2}
-BUILD=${BUILD:=1rha}
-SRC_DIR=${SRC:=$CWD}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-
-# ------- error codes for createpkg --------------
-ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
-ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
-ERROR_TAR=37; ERROR_MKPKG=38 ERROR_GPP=39
-ERROR_PATCH=40
-
-if [ "$ARCH" == "x86_64" ]; then
- export LDFLAGS="-L/lib64 -L/usr/lib64"
- LIBDIR=/usr/lib64
-else
- LIBDIR=/usr/lib
-fi
-
-RTOOL="wget"
-PACKAGE_EXT="gz"
-SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
-URL="http://easynews.dl.sourceforge.net/sourceforge/$PACKAGE/$SRC"
-
-SRC_DIR="$SRC_DIR/$PACKAGE"
-if [ ! -d "$SRC_DIR" ]; then
- mkdir -p $SRC_DIR
-fi
-
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
-fi
-
-TMP="$TMP/$PACKAGE"
-if [ ! -d "$TMP" ]; then
- mkdir -p $TMP
-fi
-cd $TMP
-
-tar xvf$tarflag $SRC_DIR/$SRC
-cd $PACKAGE-$VERSION
-
-if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
- patch -p1 < $CWD/$PACKAGE-$VERSION.diff || exit $ERROR_PATCH
-fi
-
-cd src
-./configure --enable-jack --enable-alsa --prefix=/usr || exit $ERROR_CONF
-make || exit $ERROR_MAKE
-
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-make install || exit $ERROR_INSTALL
-cd ..
-
-CWD="`pwd`"
-
-mkdir /install
-cat << EOF > /install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler-----------------------------------------------------|
-mixxx: mixxx
-mixxx:
-mixxx: Mixxx is a digital DJ system, where wave, Ogg, and MP3 files can be
-mixxx: mixed on a computer for use in live performances. Filters, a
-mixxx: crossfader, and speed controls are provided. It is controlled by
-mixxx: mouse and/or MIDI events.
-mixxx:
-mixxx:
-mixxx:
-mixxx:
-mixxx:
-EOF
-
-# docs
-mkdir -p /usr/doc/$PACKAGE-$VERSION
-
-DOCS="COPYING LICENSE Mixxx-Manual.pdf README README.ALSA"
-
-for file in $DOCS; do
- cp $CWD/$file* /usr/doc/$PACKAGE-$VERSION/
-done
-
-if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
-fi
-